/* global chrome */
document.addEventListener('DOMContentLoaded', () => {
  chrome.storage.sync.get(['endpoint', 'token', 'artworkEndpoint'], (data) => {
    document.getElementById('endpoint').value = data.endpoint || '';
    document.getElementById('token').value = data.token || '';
    document.getElementById('artworkEndpoint').value = data.artworkEndpoint || '';
  });

  document.getElementById('save').addEventListener('click', () => {
    const endpoint = document.getElementById('endpoint').value;
    const token = document.getElementById('token').value;
    const artworkEndpoint = document.getElementById('artworkEndpoint').value;
    chrome.storage.sync.set({ endpoint, token, artworkEndpoint }, () => {
      alert('Settings saved.');
    });
  });
});
